Package org.apache.sling.scripting.jsp.taglib

# Class ForwardTagHandler

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.sling.scripting.jsp.taglib.AbstractDispatcherTagHandler
org.apache.sling.scripting.jsp.taglib.ForwardTagHandler

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class ForwardTagHandler extends AbstractDispatcherTagHandler
The `ForwardTagHandler` implements the `<sling:forward>` custom tag.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ForwardTagHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`dispatch(javax.servlet.RequestDispatcher dispatcher, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

### Methods inherited from class org.apache.sling.scripting.jsp.taglib.AbstractDispatcherTagHandler

`doEndTag, release, setAddSelectors, setPageContext, setPath, setReplaceSelectors, setReplaceSuffix, setResource, setResourceType`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForwardTagHandler

public ForwardTagHandler()

## Method Details

### dispatch

protected void dispatch(javax.servlet.RequestDispatcher dispatcher, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response) throws IOException, javax.servlet.ServletException, javax.servlet.jsp.JspTagException

Specified by:
  `dispatch` in class `AbstractDispatcherTagHandler`
Throws:
  `IOException`
  `javax.servlet.ServletException`
  `javax.servlet.jsp.JspTagException`